Class NodeRulesRelation

    • Constructor Detail

      • NodeRulesRelation

        public NodeRulesRelation()
    • Method Detail

      • afterPropertiesSet

        public void afterPropertiesSet()
                                throws Exception
        Specified by:
        afterPropertiesSet in interface org.springframework.beans.factory.InitializingBean
        Throws:
        Exception
      • readAll

        public CollectionWithPagingInfo<Rule> readAll​(String folderNodeId,
                                                      Parameters parameters)
        List folder node rules for given node's and rule set's IDs as a page. - GET /nodes/{folderNodeId}/rulesets/{ruleSetId}/rules
        Specified by:
        readAll in interface RelationshipResourceAction.Read<Rule>
        Parameters:
        folderNodeId - - entity resource context for this relationship
        parameters - - will never be null. Contains i.a. paging information and ruleSetId (relationshipId)
        Returns:
        a paged list of folder rules
      • setRules

        public void setRules​(Rules rules)